> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/advocate-api-reference-v1/reference/share-links-overview/models.md).

# Models

## The ShareMediumLinks object

```json
{"openapi":"3.1.0","info":{"title":"impact.com API - Share Links","version":"1.0.0"},"components":{"schemas":{"ShareMediumLinks":{"description":"A user's share links for a single engagement medium, with one entry per share medium.","type":"object","properties":{"EMAIL":{"type":"string","format":"uri","description":"Share link for the Email share medium."},"FACEBOOK":{"type":"string","format":"uri","description":"Share link for the Facebook share medium."},"PINTEREST":{"type":"string","format":"uri","description":"Share link for the Pinterest share medium."},"TWITTER":{"type":"string","format":"uri","description":"Share link for the Twitter share medium."},"DIRECT":{"type":"string","format":"uri","description":"Share link for the Direct share medium."},"WHATSAPP":{"type":"string","format":"uri","description":"Share link for the WhatsApp share medium."},"LINEMESSENGER":{"type":"string","format":"uri","description":"Share link for the Line Messenger share medium."},"SMS":{"type":"string","format":"uri","description":"Share link for the SMS share medium."},"FBMESSENGER":{"type":"string","format":"uri","description":"Share link for the Facebook Messenger share medium."},"LINKEDIN":{"type":"string","format":"uri","description":"Share link for the LinkedIn share medium."},"UNKNOWN":{"type":"string","format":"uri","description":"Share link for an unknown share medium."}}}}}}
```

## The Shareurls object

```json
{"openapi":"3.1.0","info":{"title":"impact.com API - Share Links","version":"1.0.0"},"components":{"schemas":{"Shareurls":{"description":"A user's share links, organised by engagement medium and share medium.","type":"object","properties":{"shareLinks":{"type":"object","properties":{"cleanShareLink":{"type":"string","format":"uri","description":"The clean (unencoded) share link for the program's primary link. If the program uses a vanity link, this is the unencoded form; otherwise it's the `UNKNOWN` engagement medium and `UNKNOWN` share medium link."},"EMAIL":{"$ref":"#/components/schemas/ShareMediumLinks"},"MOBILE":{"$ref":"#/components/schemas/ShareMediumLinks"},"EMBED":{"$ref":"#/components/schemas/ShareMediumLinks"},"POPUP":{"$ref":"#/components/schemas/ShareMediumLinks"},"HOSTED":{"$ref":"#/components/schemas/ShareMediumLinks"},"UNKNOWN":{"$ref":"#/components/schemas/ShareMediumLinks"}}}}},"ShareMediumLinks":{"description":"A user's share links for a single engagement medium, with one entry per share medium.","type":"object","properties":{"EMAIL":{"type":"string","format":"uri","description":"Share link for the Email share medium."},"FACEBOOK":{"type":"string","format":"uri","description":"Share link for the Facebook share medium."},"PINTEREST":{"type":"string","format":"uri","description":"Share link for the Pinterest share medium."},"TWITTER":{"type":"string","format":"uri","description":"Share link for the Twitter share medium."},"DIRECT":{"type":"string","format":"uri","description":"Share link for the Direct share medium."},"WHATSAPP":{"type":"string","format":"uri","description":"Share link for the WhatsApp share medium."},"LINEMESSENGER":{"type":"string","format":"uri","description":"Share link for the Line Messenger share medium."},"SMS":{"type":"string","format":"uri","description":"Share link for the SMS share medium."},"FBMESSENGER":{"type":"string","format":"uri","description":"Share link for the Facebook Messenger share medium."},"LINKEDIN":{"type":"string","format":"uri","description":"Share link for the LinkedIn share medium."},"UNKNOWN":{"type":"string","format":"uri","description":"Share link for an unknown share medium."}}}}}}
```

## The LegacyEngagementLinks object

```json
{"openapi":"3.1.0","info":{"title":"impact.com API - Share Links","version":"1.0.0"},"components":{"schemas":{"LegacyEngagementLinks":{"description":"A user's share links for a single engagement medium (legacy flat-property format).","type":"object","properties":{"shareLink":{"type":"string","description":"The unique share link the user can refer their friends with. Contains the referral code and a source tag for analytics."},"facebookShareLink":{"type":"string","description":"The share link for Facebook."},"twitterShareLink":{"type":"string","description":"The share link for Twitter."},"emailShareLink":{"type":"string","description":"The share link for Email."},"linkedinShareLink":{"type":"string","description":"The share link for LinkedIn."}}}}}}
```

## The Sharelink object

```json
{"openapi":"3.1.0","info":{"title":"impact.com API - Share Links","version":"1.0.0"},"components":{"schemas":{"Sharelink":{"description":"**Deprecated** flat-format share link response. Returned by the deprecated *Lookup a user's share links* endpoint. New integrations should use the `Shareurls` schema.\n","type":"object","properties":{"shareLink":{"type":"string","description":"The unique share link the user can refer their friends with."},"facebookShareLink":{"type":"string","description":"The share link for Facebook."},"twitterShareLink":{"type":"string","description":"The share link for Twitter."},"emailShareLink":{"type":"string","description":"The share link for Email."},"mobileShareLink":{"type":"string","description":"The share link for mobile devices."},"mobileFacebookShareLink":{"type":"string","description":"The share link for Facebook on mobile devices."},"mobileTwitterSharelink":{"type":"string","description":"The share link for Twitter on mobile devices."},"mobileEmailShareLink":{"type":"string","description":"The share link for Email on mobile devices."},"EMBED":{"$ref":"#/components/schemas/LegacyEngagementLinks"},"POPUP":{"$ref":"#/components/schemas/LegacyEngagementLinks"},"HOSTED":{"$ref":"#/components/schemas/LegacyEngagementLinks"},"MOBILE":{"$ref":"#/components/schemas/LegacyEngagementLinks"},"EMAIL":{"$ref":"#/components/schemas/LegacyEngagementLinks"}}},"LegacyEngagementLinks":{"description":"A user's share links for a single engagement medium (legacy flat-property format).","type":"object","properties":{"shareLink":{"type":"string","description":"The unique share link the user can refer their friends with. Contains the referral code and a source tag for analytics."},"facebookShareLink":{"type":"string","description":"The share link for Facebook."},"twitterShareLink":{"type":"string","description":"The share link for Twitter."},"emailShareLink":{"type":"string","description":"The share link for Email."},"linkedinShareLink":{"type":"string","description":"The share link for LinkedIn."}}}}}}
```

## The Error object

```json
{"openapi":"3.1.0","info":{"title":"impact.com API - Share Links","version":"1.0.0"},"components":{"schemas":{"Error":{"properties":{"statusCode":{"description":"The HTTP status code of the error","type":"integer","format":"int32"},"message":{"description":"The human-readable description of what went wrong. Use this to help you debug.","type":"string"},"apiErrorCode":{"description":"A machine-readable error code","type":"string"},"rsCode":{"description":"A secondary machine-readable error code","type":"string","nullable":true}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://integrations.impact.com/brand-api-reference/advocate-api-reference-v1/reference/share-links-overview/models.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
